Index: src/conv/iges/iges_struct.h
===================================================================
--- src/conv/iges/iges_struct.h	(revision 54124)
+++ src/conv/iges/iges_struct.h	(working copy)
@@ -153,7 +153,7 @@
 struct types
 {
     int type;
-    char *name;
+    const char *name;
     int count;
 };
 
@@ -279,12 +279,12 @@
 extern void Convtree();
 extern void Convassem();
 extern int Readrec(int recno);
-extern void Readint(int *inum, char *id);
-extern void Readflt(fastf_t *inum, char *id);
-extern void Readdbl(double *inum, char *id);
-extern void Readstrg(char *id);
-extern void Readname(char **ptr, char *id);
-extern void Readcnv(fastf_t *inum, char *id);
+extern void Readint(int *inum, const char *id);
+extern void Readflt(fastf_t *inum, const char *id);
+extern void Readdbl(double *inum, const char *id);
+extern void Readstrg(const char *id);
+extern void Readname(char **ptr, const char *id);
+extern void Readcnv(fastf_t *inum, const char *id);
 extern void Assign_surface_to_fu(struct faceuse *fu, struct face_g_snurb *srf);
 extern void Assign_cnurb_to_eu(struct edgeuse *eu, struct edge_g_cnurb *crv);
 extern int Put_vertex(struct vertex *v, struct iges_edge_use *edge);
@@ -314,7 +314,7 @@
 extern int extrude(int entityno);
 extern int ell(int entityno);
 extern int brep(int entityno);
-extern void Readtime(char *id);
+extern void Readtime(const char *id);
 extern void Readcols(char *id, int cols);
 extern void Readmatrix(int xform, mat_t rot);
 
Index: src/conv/iges/block2.c
===================================================================
--- src/conv/iges/block2.c	(revision 54124)
+++ src/conv/iges/block2.c	(working copy)
@@ -62,19 +62,19 @@
     }
 
     Readrec(dir[entityno]->param);
-    Readint(&sol_num, "");
-    Readcnv(&xscale, "");
-    Readcnv(&yscale, "");
-    Readcnv(&zscale, "");
-    Readcnv(&x_1, "");
-    Readcnv(&y_1, "");
-    Readcnv(&z_1, "");
-    Readflt(&x_2, "");
-    Readflt(&y_2, "");
-    Readflt(&z_2, "");
-    Readflt(&x_3, "");
-    Readflt(&y_3, "");
-    Readflt(&z_3, "");
+    Readint(&sol_num, (char *)"");
+    Readcnv(&xscale, (char *)"");
+    Readcnv(&yscale, (char *)"");
+    Readcnv(&zscale, (char *)"");
+    Readcnv(&x_1, (char *)"");
+    Readcnv(&y_1, (char *)"");
+    Readcnv(&z_1, (char *)"");
+    Readflt(&x_2, (char *)"");
+    Readflt(&y_2, (char *)"");
+    Readflt(&z_2, (char *)"");
+    Readflt(&x_3, (char *)"");
+    Readflt(&y_3, (char *)"");
+    Readflt(&z_3, (char *)"");
 
     if (xscale <= 0.0 || yscale <= 0.0 || zscale <= 0.0) {
 	bu_log("Illegal parameters for entity D%07d (%s)\n" ,
Index: src/conv/iges/readflt.c
===================================================================
--- src/conv/iges/readflt.c	(revision 54124)
+++ src/conv/iges/readflt.c	(working copy)
@@ -34,7 +34,7 @@
 #include "./iges_extern.h"
 
 void
-Readflt(fastf_t *inum, char *id)
+Readflt(fastf_t *inum, const char *id)
 {
     int i = (-1), done = 0, lencard;
     char num[80];
Index: src/conv/iges/readtime.c
===================================================================
--- src/conv/iges/readtime.c	(revision 54124)
+++ src/conv/iges/readtime.c	(working copy)
@@ -41,7 +41,7 @@
 #include "./iges_extern.h"
 
 void
-Readtime(char *id)
+Readtime(const char *id)
 {
     int i = (-1), length = 0, lencard, done = 0, year;
     char num[80];
Index: src/conv/iges/readglobal.c
===================================================================
--- src/conv/iges/readglobal.c	(revision 54124)
+++ src/conv/iges/readglobal.c	(working copy)
@@ -32,7 +32,7 @@
 #define NO_OF_VERSIONS 10
 #define COMMA ','
 
-char *iges_version[NO_OF_VERSIONS] = {
+const char *iges_version[NO_OF_VERSIONS] = {
     " ",
     "1.0",
     "ANSI Y14.26M - 1981",
Index: src/conv/iges/add_face.c
===================================================================
--- src/conv/iges/add_face.c	(revision 54124)
+++ src/conv/iges/add_face.c	(working copy)
@@ -46,13 +46,13 @@
     }
 
     Readrec(dir[entityno]->param);
-    Readint(&sol_num, "");
-    Readint(&surf_de, "");
-    Readint(&no_of_loops, "");
-    Readint(&outer_loop_flag, "");
+    Readint(&sol_num, (char *)"");
+    Readint(&surf_de, (char *)"");
+    Readint(&no_of_loops, (char *)"");
+    Readint(&outer_loop_flag, (char *)"");
     loop_de = (int *)bu_calloc(no_of_loops, sizeof(int), "Get_outer_face loop DE's");
     for (loop = 0; loop < no_of_loops; loop++)
-	Readint(&loop_de[loop], "");
+	Readint(&loop_de[loop], (char *)"");
 
     /* Check that this is a planar surface */
     if (dir[(surf_de-1)/2]->type == 190) /* plane entity */
Index: src/conv/iges/main.c
===================================================================
--- src/conv/iges/main.c	(revision 54124)
+++ src/conv/iges/main.c	(working copy)
@@ -66,23 +66,23 @@
 
 static char *iges_file;
 
-static char *msg1 =
+static const char *msg1 =
 "\nThis IGES file contains solid model entities, but your options do not permit\n\
 converting them to BRL-CAD. You may want to try 'iges-g -o file.g %s' to\n\
 convert the solid model elements\n";
 
-static char *msg2 =
+static const char *msg2 =
 "\nThis IGES file contains drawing entities, but no solid model entities. You may\n\
 convert the drawing to BRL-CAD by 'iges-g -d -o file.g %s'. Note that the resulting\n\
 BRL-CAD object will be a 2D drawing, not a solid object. You might also try the\n\
 '-3' option to get 3D drawings\n";
 
-static char *msg3 =
+static const char *msg3 =
 "\nThis IGES file contains spline surfaces, but no solid model entities. All the spline\n\
 surfaces in the IGES file may be combined into a single BRL-CAD spline solid by\n\
 'iges-g -n -o file.g %s'\n";
 
-static char *msg4 =
+static const char *msg4 =
 "\nThis IGES file contains trimmed surfaces, but no solid model entities.\n\
 Try the '-t' option to convert all the trimmed surfaces into one BRL-CAD solid.\n\
 'iges-g -t -o file.g %s'\n";
@@ -155,7 +155,7 @@
 		do_splines = 1;
 		break;
 	    case 'o':
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 't':
 		trimmed_surf = 1;
@@ -164,7 +164,7 @@
 		do_bots = 0;
 		break;
 	    case 'N':
-		solid_name = bu_optarg;
+		solid_name = (char *)bu_optarg;
 		break;
 	    case 'x':
 		sscanf(bu_optarg, "%x", (unsigned int *)&rt_g.debug);
@@ -231,7 +231,7 @@
     if (solid_name)
 	bu_strlcpy(curr_file->obj_name, Make_unique_brl_name(solid_name), NAMESIZE+1);
     else
-	bu_strlcpy(curr_file->obj_name, Make_unique_brl_name("all"), NAMESIZE+1);
+	bu_strlcpy(curr_file->obj_name, Make_unique_brl_name((char *)"all"), NAMESIZE+1);
 
     curr_file->file_name = (char *)bu_malloc(strlen(argv[0])+1, "iges-g: curr_file->file_name");
     bu_strlcpy(curr_file->file_name, argv[0], strlen(argv[0])+1);
Index: src/conv/iges/make_face.c
===================================================================
--- src/conv/iges/make_face.c	(revision 54124)
+++ src/conv/iges/make_face.c	(working copy)
@@ -149,7 +149,7 @@
 	area = nmg_loop_plane_area(lu, pl);
 	if (area < 0.0) {
 	    bu_log("Could not calculate area for face (entityno = %d)\n", entityno);
-	    nmg_pr_fu_briefly(fu, "");
+	    nmg_pr_fu_briefly(fu, (char *)"");
 	    nmg_kfu(fu);
 	    fu = (struct faceuse *)NULL;
 	    goto err;
Index: src/conv/iges/readdbl.c
===================================================================
--- src/conv/iges/readdbl.c	(revision 54124)
+++ src/conv/iges/readdbl.c	(working copy)
@@ -34,7 +34,7 @@
 #include "./iges_extern.h"
 
 void
-Readdbl(double *inum, char *id)
+Readdbl(double *inum, const char *id)
 {
     int i = (-1), done = 0, lencard;
     char num[80];
Index: src/conv/walk_example.c
===================================================================
--- src/conv/walk_example.c	(revision 54124)
+++ src/conv/walk_example.c	(working copy)
@@ -47,7 +47,7 @@
 
 
 /** list of legal command line options for use with bu_getopt()  */
-char *options = "hd:";
+const char *options = "hd:";
 
 /** flag for printing names of objects as encountered  */
 #define DEBUG_NAMES 1
Index: src/conv/vdeck/vextern.h
===================================================================
--- src/conv/vdeck/vextern.h	(revision 54124)
+++ src/conv/vdeck/vextern.h	(working copy)
@@ -55,12 +55,12 @@
 #define NO	0
 
 extern int	debug;
-extern char	*usage[], *cmd[];
+extern const char	*usage[], *cmd[];
 extern mat_t	identity;
 
 extern void		abort_sig(int sig), quit(int sig);
 extern void		toc(void), list_toc(char **args);
-extern void		prompt(char *fmt);
+extern void		prompt(const char *fmt);
 
 extern int	curr_ct;
 extern char	*arg_list[];
Index: src/conv/vdeck/vdeck.c
===================================================================
--- src/conv/vdeck/vdeck.c	(revision 54124)
+++ src/conv/vdeck/vdeck.c	(working copy)
@@ -74,7 +74,7 @@
 
 int	debug = 0;
 
-char	*cmd[] = {
+const char	*cmd[] = {
     "",
     "C O M M A N D                  D E S C R I P T I O N",
     "",
@@ -95,7 +95,7 @@
     0
 };
 
-char	*usage[] = {
+const char	*usage[] = {
     "",
     "v d e c k",
     "Make COMGEOM decks of objects from a \"mged\" file suitable as",
@@ -193,7 +193,7 @@
  *  Print a non-newline-terminate string, and flush stdout
  */
 void
-prompt(char *fmt)
+prompt(const char *fmt)
 {
     fputs(fmt, stdout);
     fflush(stdout);
@@ -379,16 +379,16 @@
 	    return;
 
 	case OP_UNION:
-	    flatten_tree(vls, tp->tr_b.tb_left, "or", neg);
-	    flatten_tree(vls, tp->tr_b.tb_right, "or", 0);
+	    flatten_tree(vls, tp->tr_b.tb_left, (char *)"or", neg);
+	    flatten_tree(vls, tp->tr_b.tb_right, (char *)"or", 0);
 	    break;
 	case OP_INTERSECT:
 	    flatten_tree(vls, tp->tr_b.tb_left, op, neg);
-	    flatten_tree(vls, tp->tr_b.tb_right, "  ", 0);
+	    flatten_tree(vls, tp->tr_b.tb_right, (char *)"  ", 0);
 	    break;
 	case OP_SUBTRACT:
 	    flatten_tree(vls, tp->tr_b.tb_left, op, neg);
-	    flatten_tree(vls, tp->tr_b.tb_right, "  ", 1);
+	    flatten_tree(vls, tp->tr_b.tb_right, (char *)"  ", 1);
 	    break;
     }
 }
@@ -444,7 +444,7 @@
     } else {
 	/* Rewrite tree so that all unions are at tree top */
 	db_non_union_push(curtree, &rt_uniresource);
-	flatten_tree(&flat, curtree, "  ", 0);
+	flatten_tree(&flat, curtree, (char *)"  ", 0);
     }
 
     /* Output 9 of the 7-char chunks per region "card" */
Index: src/conv/g-var.c
===================================================================
--- src/conv/g-var.c	(revision 54124)
+++ src/conv/g-var.c	(working copy)
@@ -412,7 +412,7 @@
 		break;
 
 	    case 'o':
-		out_file = bu_optarg;
+		out_file = (char *)bu_optarg;
 		break;
 
 	    case 'y':
Index: src/conv/tankill/g-tankill.c
===================================================================
--- src/conv/tankill/g-tankill.c	(revision 54124)
+++ src/conv/tankill/g-tankill.c	(working copy)
@@ -432,14 +432,14 @@
 		ttol.rel = 0.0;
 		break;
 	    case 'i':		/* Idents output file */
-		id_file = bu_optarg;
+		id_file = (char *)bu_optarg;
 		break;
 	    case 'n':		/* Surface normal tolerance. */
 		ttol.norm = atof(bu_optarg);
 		ttol.rel = 0.0;
 		break;
 	    case 'o':		/* Output file name */
-		out_file = bu_optarg;
+		out_file = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
Index: src/conv/tankill/tankill-g.c
===================================================================
--- src/conv/tankill/tankill-g.c	(revision 54124)
+++ src/conv/tankill/tankill-g.c	(working copy)
@@ -150,7 +150,7 @@
     struct comp_idents *ptr;
     char name[NAMESIZE+1];
     char input_file[START_ARRAY_SIZE] = {0};				/* input file name */
-    char *output_file = "tankill.g";
+    const char *output_file = "tankill.g";
     FILE *in_fp;					/* input file pointer */
     struct rt_wdb *out_fp;				/* output file pointer */
     int polysolids;					/* flag indicating polysolid output */
@@ -214,7 +214,7 @@
 		bu_strlcpy( input_file, bu_optarg, sizeof(input_file) );
 		break;
 	    case 'o': /* output file name */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    default:
 		usage();
Index: src/conv/bot_shell-vtk.c
===================================================================
--- src/conv/bot_shell-vtk.c	(revision 54124)
+++ src/conv/bot_shell-vtk.c	(working copy)
@@ -77,7 +77,7 @@
 static long num_faces = 0;
 #define FACES_BLOCK	512
 
-static char *usage = "Usage:\n\
+static const char *usage = "Usage:\n\
 	%s [-m] [-n] [-d debug_level] [-g cell_size] -o vtk_polydata_output_file database.g object1 object2...\n";
 
 /* routine to replace default overlap handler.
@@ -411,7 +411,7 @@
 		}
 		break;
 	    case 'o':	/* VTK polydata output file */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 'n':	/* include normals in the VTK data */
 		use_normals = 1;
Index: src/conv/g-x3d.c
===================================================================
--- src/conv/g-x3d.c	(revision 54124)
+++ src/conv/g-x3d.c	(working copy)
@@ -108,7 +108,7 @@
 
 static const char usage[] = "Usage: %s [-v] [-xX lvl] [-d tolerance_distance (mm) ] [-a abs_tol (mm)] [-r rel_tol] [-n norm_tol] [-o out_file] [-u units] brlcad_db.g object(s)\n";
 
-static char	*tok_sep = " \t";
+static const char	*tok_sep = " \t";
 static int	NMG_debug;		/* saved arg of -X, for longjmp handling */
 static int	verbose=0;
 /* static int	ncpu = 1; */		/* Number of processors */
@@ -408,7 +408,7 @@
 		ttol.rel = 0.0;
 		break;
 	    case 'o':		/* Output file name */
-		out_file = bu_optarg;
+		out_file = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
@@ -446,7 +446,7 @@
     }
 
     if ( !units )
-	units = "mm";
+	units = (char *)"mm";
 
     /* Open BRL-CAD database */
     if ((dbip = db_open( argv[bu_optind], "r")) == DBI_NULL)
Index: src/conv/jack/g-jack.c
===================================================================
--- src/conv/jack/g-jack.c	(revision 54124)
+++ src/conv/jack/g-jack.c	(working copy)
@@ -464,7 +464,7 @@
 		ttol.norm = atof(bu_optarg);
 		break;
 	    case 'p':		/* Prefix for Jack file names. */
-		prefix = bu_optarg;
+		prefix = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
Index: src/conv/jack/jack-g.c
===================================================================
--- src/conv/jack/jack-g.c	(revision 54124)
+++ src/conv/jack/jack-g.c	(working copy)
@@ -72,12 +72,12 @@
     while ((c = bu_getopt(argc, argv, "g:r:")) != -1) {
 	switch (c) {
 	    case 'g':
-		grp_name = bu_optarg;
+		grp_name = (char *)bu_optarg;
 		/* BRL-CAD group to add psurf to. */
 		break;
 	    case 'r':
 		/* BRL-CAD region name for psurf. */
-		reg_name = bu_optarg;
+		reg_name = (char *)bu_optarg;
 		break;
 	    default:
 		bu_exit(1, usage, argv[0]);
@@ -87,7 +87,7 @@
 
     /* Get Jack psurf input file name. */
     if (bu_optind >= argc) {
-	jfile = "-";
+	jfile = (char *)"-";
 	fpin = stdin;
     } else {
 	jfile = argv[bu_optind];
@@ -100,7 +100,7 @@
     /* Get BRL-CAD output data base name. */
     bu_optind++;
     if (bu_optind >= argc) {
-	bfile = "-";
+	bfile = (char *)"-";
 	bu_exit(1, usage, argv[0]);
     } else {
 	bfile = argv[bu_optind];
Index: src/conv/off/g-off.c
===================================================================
--- src/conv/off/g-off.c	(revision 54124)
+++ src/conv/off/g-off.c	(working copy)
@@ -115,7 +115,7 @@
 		ttol.norm = atof(bu_optarg);
 		break;
 	    case 'p':		/* Prefix for Jack file names. */
-		prefix = bu_optarg;
+		prefix = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
Index: src/conv/step/step-g.cpp
===================================================================
--- src/conv/step/step-g.cpp	(revision 54124)
+++ src/conv/step/step-g.cpp	(working copy)
@@ -76,7 +76,7 @@
     while ((c=bu_getopt(argc, argv, "o:")) != -1) {
 	switch (c) {
 	    case 'o':
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    default:
 		usage();
Index: src/conv/nastran-g.c
===================================================================
--- src/conv/nastran-g.c	(revision 54124)
+++ src/conv/nastran-g.c	(working copy)
@@ -102,13 +102,13 @@
 
 
 static int units;			/* units flag */
-static char *output_file = "nastran.g";
+static const char *output_file = "nastran.g";
 static struct rt_wdb *fpout;		/* brlcad output file */
 static FILE *fpin;			/* NASTRAN input file */
 static FILE *fptmp;			/* temporary version of NASTRAN input */
-static char *Usage="Usage:\n\t%s [-p] [-xX lvl] [-t tol.dist] [-i NASTRAN_file] -o BRL-CAD_file\n";
+static const char *Usage="Usage:\n\t%s [-p] [-xX lvl] [-t tol.dist] [-i NASTRAN_file] -o BRL-CAD_file\n";
 static long start_off;
-static char *delims=", \t";
+static const char *delims=", \t";
 static struct coord_sys coord_head;	/* head of linked list of coordinate systems */
 static struct pbar pbar_head;		/* head of linked list of PBAR's */
 static struct pshell pshell_head;	/* head of linked list of PSHELL's */
@@ -498,7 +498,7 @@
 
 
 HIDDEN void
-log_line(char *str)
+log_line(const char *str)
 {
     int i;
 
@@ -1108,7 +1108,7 @@
     struct pbar *pbp;
     struct wmember head;
     struct wmember all_head;
-    char *nastran_file = "Converted from NASTRAN file (stdin)";
+    const char *nastran_file = "Converted from NASTRAN file (stdin)";
 
     bu_setprogname(argv[0]);
 
@@ -1146,7 +1146,7 @@
 		units = MM;
 		break;
 	    case 'i':
-		nastran_file = bu_optarg;
+		nastran_file = (char *)bu_optarg;
 		fpin = fopen(bu_optarg, "rb");
 		if (fpin == (FILE *)NULL) {
 		    bu_log("Cannot open NASTRAN file (%s) for reading!\n", bu_optarg);
@@ -1154,7 +1154,7 @@
 		}
 		break;
 	    case 'o':
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	}
     }
Index: src/conv/enf-g.c
===================================================================
--- src/conv/enf-g.c	(revision 54124)
+++ src/conv/enf-g.c	(working copy)
@@ -630,7 +630,7 @@
 		    bu_exit( 1, "Illegal tolerance (%g), musy be > 0.0\n", tmp );
 		break;
 	    case 'n':	/* part name list */
-		part_name_file = bu_optarg;
+		part_name_file = (char *)bu_optarg;
 		use_part_name_hash = 1;
 		break;
 	    case 'l':	/* max name length */
Index: src/conv/g-nff.c
===================================================================
--- src/conv/g-nff.c	(revision 54124)
+++ src/conv/g-nff.c	(working copy)
@@ -401,7 +401,7 @@
 		ttol.rel = 0.0;
 		break;
 	    case 'o':		/* Output file name. */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
@@ -422,7 +422,7 @@
 		NMG_debug = rt_g.NMG_debug;
 		break;
 	    case 'e':		/* Error file name. */
-		error_file = bu_optarg;
+		error_file = (char *)bu_optarg;
 		break;
 	    case 'i':
 		inches = 1;
Index: src/tab/tabinterp.c
===================================================================
--- src/tab/tabinterp.c	(revision 54124)
+++ src/tab/tabinterp.c	(working copy)
@@ -239,7 +239,7 @@
 	    bu_log("File '%s', Line %d:  expected %d columns, got %d\n",
 		   file, line, nwords, i);
 	    while (i < nwords) {
-		iwords[i++] = "0.123456789";
+		iwords[i++] = (char *)"0.123456789";
 		errors++;
 	    }
 	}
@@ -297,7 +297,7 @@
 	return;
     }
     cp = &chan[ch];
-    if (cp->c_itag == (char *)0)  cp->c_itag = "_no_file_";
+    if (cp->c_itag == (char *)0)  cp->c_itag = (char *)"_no_file_";
     bu_log("--- Channel %d, ilen=%d (%s):\n",
 	   ch, cp->c_ilen, cp->c_itag);
     for (i=0; i < cp->c_ilen; i++) {
@@ -1050,7 +1050,7 @@
     int ch;
     int nvals = 2;
 
-    ch = create_chan(argv[1], nvals, argc>4?argv[4]:"rate chan");
+    ch = create_chan(argv[1], nvals, argc>4?argv[4]:(char *)"rate chan");
     chp = &chan[ch];
     chp->c_interp = INTERP_RATE;
     chp->c_periodic = 0;
@@ -1076,7 +1076,7 @@
     int ch;
     int nvals = 2;
 
-    ch = create_chan(argv[1], nvals, argc>4?argv[4]:"accel chan");
+    ch = create_chan(argv[1], nvals, argc>4?argv[4]:(char *)"accel chan");
     chp = &chan[ch];
     chp->c_interp = INTERP_ACCEL;
     chp->c_periodic = 0;
Index: src/gtools/g_diff.c
===================================================================
--- src/gtools/g_diff.c	(revision 54124)
+++ src/gtools/g_diff.c	(working copy)
@@ -646,7 +646,7 @@
     rt_db_free_internal(&intern);
 }
 
-static char *region_attrs[] = { "region",
+static const char *region_attrs[] = { "region",
 				"region_id",
 				"giftmater",
 				"los",
Index: src/gtools/remapid.c
===================================================================
--- src/gtools/remapid.c	(revision 54124)
+++ src/gtools/remapid.c	(working copy)
@@ -78,7 +78,7 @@
     {
 	REMAPID_FILE_MAGIC,
 	NULL,
-	"stdin",
+	(char *)"stdin",
 	{
 	    BU_VLS_MAGIC, (char *) 0, 0, 0, 0
 	},
@@ -88,7 +88,7 @@
 
 
 REMAPID_FILE *
-remapid_fopen(char *fname, char *type)
+remapid_fopen(char *fname, const char *type)
 {
     REMAPID_FILE *bfp;
     FILE *fp;
@@ -189,7 +189,7 @@
  * Print out a syntax error message about a REMAPID_FILE
  */
 void
-remapid_file_err(REMAPID_FILE *bfp, char *text1, char *text2, ssize_t cursor_pos)
+remapid_file_err(REMAPID_FILE *bfp, const char *text1, const char *text2, ssize_t cursor_pos)
 {
     char *cp;
     int buflen;
@@ -860,7 +860,7 @@
 
     switch (argc - bu_optind) {
 	case 1:
-	    sf_name = "stdin";
+	    sf_name = (char *)"stdin";
 	    sfp = bu_stdin;
 	    /* Break intentionally missing */
 	case 2:
@@ -881,7 +881,7 @@
     /*
      * Initialize the assignment
      */
-    assignment = bu_rb_create1("Remapping assignment", compare_curr_ids);
+    assignment = bu_rb_create1((char *)"Remapping assignment", compare_curr_ids);
     bu_rb_uniq_on1(assignment);
 
     /*
Index: src/gtools/g_lint.c
===================================================================
--- src/gtools/g_lint.c	(revision 54124)
+++ src/gtools/g_lint.c	(working copy)
@@ -150,7 +150,7 @@
 /**
  * The usage message -- it's a long 'un.
  */
-static char *usage[] = {
+static const char *usage[] = {
     "Usage: 'g_lint [options] model.g object ...'\n",
     "Options:\n",
     "  -a azim      View target from azimuth of azim (0.0 degrees)\n",
@@ -183,7 +183,7 @@
 {
     char **u;
 
-    for (u = usage; *u != 0; ++u)
+    for (u = (char **)usage; *u != 0; ++u)
 	bu_log("%s", *u);
 }
 
@@ -901,7 +901,7 @@
 		use_air = ((control.glc_what_to_report & G_LINT_A_ANY) != 0);
 		break;
 	    case 's':
-		ovlp_log = bu_rb_create1("overlap log", compare_overlaps);
+		ovlp_log = bu_rb_create1((char *)"overlap log", compare_overlaps);
 		if (control.glc_how_to_report == G_LINT_PLOT3)
 		    control.glc_how_to_report = G_LINT_ASCII;
 		bu_rb_uniq_on1(ovlp_log);
@@ -1036,7 +1036,7 @@
      * sort them now and then print them out.
      */
     if (ovlp_log) {
-	ovlps_by_vol = bu_rb_create1("overlaps by volume", compare_by_vol);
+	ovlps_by_vol = bu_rb_create1((char *)"overlaps by volume", compare_by_vol);
 	bu_rb_uniq_on1(ovlps_by_vol);
 	bu_rb_walk1(ovlp_log, insert_by_vol, INORDER);
 
Index: src/libpkg/pkg.c
===================================================================
--- src/libpkg/pkg.c	(revision 54124)
+++ src/libpkg/pkg.c	(working copy)
@@ -257,7 +257,7 @@
  * This is a private implementation function.
  */
 static void
-_pkg_perror(void (*errlog) (char *msg), char *s)
+_pkg_perror(void (*errlog) (char *msg), const char *s)
 {
     snprintf(_pkg_errbuf, MAX_PKG_ERRBUF_SIZE, "%s: ", s);
 
@@ -1387,7 +1387,7 @@
     }
 
     if (pc->pkc_buf != (char *)0) {
-	pc->pkc_errlog("pkg_waitfor: buffer clash\n");
+	pc->pkc_errlog((char *)"pkg_waitfor: buffer clash\n");
 	return -1;
     }
     if (_pkg_gethdr(pc, buf) < 0)
@@ -1423,7 +1423,7 @@
 	}
 	excess = pc->pkc_len - len;	/* size of excess message */
 	if ((bp = (char *)malloc(excess)) == NULL) {
-	    _pkg_perror(pc->pkc_errlog, "pkg_waitfor: excess message, malloc failed");
+	    _pkg_perror(pc->pkc_errlog, (char *)"pkg_waitfor: excess message, malloc failed");
 	    return -1;
 	}
 	if ((i = _pkg_inget(pc, bp, excess)) != excess) {
@@ -1479,7 +1479,7 @@
 	    if (pkg_block(pc) < 0)
 		return (char *)0;
 	if (pc->pkc_buf != (char *)0) {
-	    pc->pkc_errlog("pkg_bwaitfor: buffer clash\n");
+	    pc->pkc_errlog((char *)"pkg_bwaitfor: buffer clash\n");
 	    return (char *)0;
 	}
 	if (_pkg_gethdr(pc, (char *)0) < 0)
@@ -1750,7 +1750,7 @@
     if (pc->pkc_inbuf == (char *)0 || pc->pkc_inlen <= 0) {
 	pc->pkc_inlen = PKG_STREAMLEN;
 	if ((pc->pkc_inbuf = (char *)malloc((size_t)pc->pkc_inlen)) == (char *)0) {
-	    pc->pkc_errlog("pkg_suckin malloc failure\n");
+	    pc->pkc_errlog((char *)"pkg_suckin malloc failure\n");
 	    pc->pkc_inlen = 0;
 	    ret = -1;
 	    goto out;
@@ -1786,7 +1786,7 @@
 	    fflush(_pkg_debug);
 	}
 	if ((pc->pkc_inbuf = (char *)realloc(pc->pkc_inbuf, (size_t)pc->pkc_inlen)) == (char *)0) {
-	    pc->pkc_errlog("pkg_suckin realloc failure\n");
+	    pc->pkc_errlog((char *)"pkg_suckin realloc failure\n");
 	    pc->pkc_inlen = 0;
 	    ret = -1;
 	    goto out;
@@ -1821,7 +1821,7 @@
 	goto out;
     }
     if (got > (int)avail) {
-	pc->pkc_errlog("pkg_suckin: read more bytes than desired\n");
+	pc->pkc_errlog((char *)"pkg_suckin: read more bytes than desired\n");
 	got = (int)avail;
     }
     pc->pkc_inend += got;
Index: src/libicv/rot.c
===================================================================
--- src/libicv/rot.c	(revision 54124)
+++ src/libicv/rot.c	(working copy)
@@ -63,8 +63,8 @@
 get_args(int argc, char **argv, FILE **ifp, FILE **ofp, double *angle)
 {
     int c;
-    char *in_file_name = NULL;
-    char *out_file_name = NULL;
+    const char *in_file_name = NULL;
+    const char *out_file_name = NULL;
 
     if (!ifp || !ofp || !angle)
 	bu_exit(1, "internal error processing arguments\n");
Index: src/mged/muves.c
===================================================================
--- src/mged/muves.c	(revision 54124)
+++ src/mged/muves.c	(working copy)
@@ -98,8 +98,8 @@
 };
 
 
-static char *regionmap_delims=" \t";
-static char *sysdef_delims=" \t\n@?!~&-^><|*+";
+static const char *regionmap_delims=" \t";
+static const char *sysdef_delims=" \t\n@?!~&-^><|*+";
 
 static struct muves_sys muves_sys_head = {
     {BU_LIST_HEAD_MAGIC, &muves_sys_head.l, &muves_sys_head.l}, /* l */
@@ -596,7 +596,7 @@
     char **e_argv;
     int e_argc;
     int e_argv_len=0;
-    char *e_comm="e";
+    char *e_comm=(char *)"e";
 
     bu_log("DEPRECATION WARNING:  This command is scheduled for removal.  Please contact the developers if you use this command.\n");
 
Index: src/mged/scroll.h
===================================================================
--- src/mged/scroll.h	(revision 54124)
+++ src/mged/scroll.h	(working copy)
@@ -23,10 +23,10 @@
  *
  */
 struct scroll_item {
-    char *scroll_string;
+    const char *scroll_string;
     void (*scroll_func)();
     int scroll_val;
-    char *scroll_cmd;
+    const char *scroll_cmd;
 };
 #define SCROLL_NULL ((struct scroll_item *)0)
 
Index: src/mged/dm-X.c
===================================================================
--- src/mged/dm-X.c	(revision 54124)
+++ src/mged/dm-X.c	(working copy)
@@ -171,7 +171,7 @@
 void
 X_fb_open(void)
 {
-    char *X_name = "/dev/X";
+    const char *X_name = "/dev/X";
 
     if ((fbp = (FBIO *)calloc(sizeof(FBIO), 1)) == FBIO_NULL) {
 	Tcl_AppendResult(INTERP, "X_dm_init: failed to allocate framebuffer memory\n",
Index: src/mged/dm-ogl.c
===================================================================
--- src/mged/dm-ogl.c	(revision 54124)
+++ src/mged/dm-ogl.c	(working copy)
@@ -143,7 +143,7 @@
 void
 Ogl_fb_open()
 {
-    char *ogl_name = "/dev/ogl";
+    const char *ogl_name = "/dev/ogl";
 
     if ((fbp = (FBIO *)calloc(sizeof(FBIO), 1)) == FBIO_NULL) {
 	Tcl_AppendResult(INTERP, "Ogl_fb_open: failed to allocate framebuffer memory\n",
Index: src/mged/arbs.c
===================================================================
--- src/mged/arbs.c	(revision 54124)
+++ src/mged/arbs.c	(working copy)
@@ -37,7 +37,7 @@
 
 char **promp;
 
-char *p_arb3pt[] = {
+const char *p_arb3pt[] = {
     "Enter X, Y, Z for point 1: ",
     "Enter Y, Z: ",
     "Enter Z: ",
@@ -49,7 +49,7 @@
     "Enter Z: "
 };
 
-char *p_rfin[] = {
+const char *p_rfin[] = {
     "Enter X, Y, Z of the known point: ",
     "Enter Y, Z: ",
     "Enter Z: "
@@ -101,7 +101,7 @@
 
 
     /* read the known point */
-    promp = &p_rfin[0];
+    promp = (char **)&p_rfin[0];
     if (argc < 5) {
 	Tcl_AppendResult(interp, MORE_ARGS_STR, promp[argc-2], (char *)NULL);
 	return TCL_ERROR;
Index: src/mged/clone.c
===================================================================
--- src/mged/clone.c	(revision 54124)
+++ src/mged/clone.c	(working copy)
@@ -398,7 +398,7 @@
 
     /* make n copies */
     for (i = 0; i < state->n_copies; i++) {
-	char *argv[6] = {"wdb_copy", (char *)NULL, (char *)NULL, (char *)NULL, (char *)NULL, (char *)NULL};
+	const char *argv[6] = {"wdb_copy", (char *)NULL, (char *)NULL, (char *)NULL, (char *)NULL, (char *)NULL};
 	struct bu_vls *name;
 	int ret;
 	struct directory *dp = (struct directory *)NULL;
Index: src/mged/rtif.c
===================================================================
--- src/mged/rtif.c	(revision 54124)
+++ src/mged/rtif.c	(working copy)
@@ -384,7 +384,7 @@
 
     if (mged_variables->mv_use_air) {
 	int insertArgc = 2;
-	char *insertArgv[3];
+	const char *insertArgv[3];
 	int newArgc;
 	char **newArgv;
 
Index: src/mged/menu.h
===================================================================
--- src/mged/menu.h	(revision 54124)
+++ src/mged/menu.h	(working copy)
@@ -29,7 +29,7 @@
 #define SEEN_MENU_H
 
 struct menu_item {
-    char *menu_string;
+    const char *menu_string;
     void (*menu_func)();
     int menu_arg;
 };
Index: src/mged/facedef.c
===================================================================
--- src/mged/facedef.c	(revision 54124)
+++ src/mged/facedef.c	(working copy)
@@ -39,7 +39,7 @@
 
 extern struct rt_db_internal es_int;
 
-char *p_rotfb[] = {
+const char *p_rotfb[] = {
     "Enter rot, fb angles: ",
     "Enter fb angle: ",
     "Enter fixed vertex(v#) or point(X Y Z): ",
@@ -48,14 +48,14 @@
 };
 
 
-char *p_3pts[] = {
+const char *p_3pts[] = {
     "Enter X, Y, Z of point",
     "Enter Y, Z of point",
     "Enter Z of point"
 };
 
 
-char *p_pleqn[] = {
+const char *p_pleqn[] = {
     "Enter A, B, C, D of plane equation: ",
     "Enter B, C, D of plane equation: ",
     "Enter C, D of plane equation: ",
@@ -63,7 +63,7 @@
 };
 
 
-char *p_nupnt[] = {
+const char *p_nupnt[] = {
     "Enter X, Y, Z of fixed point: ",
     "Enter Y, Z of fixed point: ",
     "Enter Z of fixed point: "
Index: src/mged/dodraw.c
===================================================================
--- src/mged/dodraw.c	(revision 54124)
+++ src/mged/dodraw.c	(working copy)
@@ -132,7 +132,7 @@
     size_t i;
     char shortname[32];
     char namebuf[64];
-    char *av[4];
+    const char *av[4];
 
     bu_strlcpy(shortname, name, sizeof(shortname));
 
@@ -764,7 +764,7 @@
 	    case 'C':
 		{
 		    int r, g, b;
-		    char *cp = bu_optarg;
+		    char *cp = (char *)bu_optarg;
 
 		    r = atoi(cp);
 		    while ((*cp >= '0' && *cp <= '9')) cp++;
